import request from '@/utils/request'

// 查询APS设备信息列表
export function listEquipment(query) {
  return request({
    url: '/aps_equipment/equipment/list',
    method: 'get',
    params: query
  })
}

// 查询APS设备信息详细
export function getEquipment(sequenceId) {
  return request({
    url: '/aps_equipment/equipment/' + sequenceId,
    method: 'get'
  })
}

// 新增APS设备信息
export function addEquipment(data) {
  return request({
    url: '/aps_equipment/equipment',
    method: 'post',
    data: data
  })
}

// 修改APS设备信息
export function updateEquipment(data) {
  return request({
    url: '/aps_equipment/equipment',
    method: 'put',
    data: data
  })
}

// 删除APS设备信息
export function delEquipment(sequenceId) {
  return request({
    url: '/aps_equipment/equipment/' + sequenceId,
    method: 'delete'
  })
}
